﻿@model Contabilidad.Site.Models.Client.ClientCreateViewModel
@{
    ViewData["Title"] = @Contabilidad.Resources.CommonResources.Create;
}
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.Accounting.Client.Client.modelName</h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <form method="post" enctype="multipart/form-data">
                    @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                    {
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="card">
                                <div class="body bg-red">
                                    <div asp-validation-summary="ModelOnly"></div>
                                </div>
                            </div>
                        </div>
                    }

                    <label asp-for="BusinessName">@Html.DisplayNameFor(Model => Model.BusinessName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="BusinessName" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled" id="parsley-id-5">
                            <li>
                                <span asp-validation-for="BusinessName"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="RTN">@Html.DisplayNameFor(Model => Model.RTN)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="RTN" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled" id="parsley-id-5">
                            <li>
                                <span asp-validation-for="RTN"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="Description">@Html.DisplayNameFor(Model => Model.Description)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="Description" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled" id="parsley-id-5">
                            <li>
                                <span asp-validation-for="Description"></span>
                            </li>
                        </ul>
                    </div>

                    <div class="form-group">
                        <label asp-for="IdPeople">@Html.DisplayNameFor(Model => Model.IdPeople)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.Peoples)" asp-for="IdPeople" data-live-search="true" asp-items="@(new SelectList(Model.Peoples,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="IdPeople"></span>
                            </li>
                        </ul>
                    </div>

                    <div align="right">
                        <a href="#confirm" class="btn btn-primary waves-effect" data-toggle="modal" data-target="#confirm">@Contabilidad.Resources.CommonResources.SaveChanges</a>
                    </div>
                    <div class="modal fade" id="confirm" tabindex="-1" role="dialog">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="defaultModalLabel">@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.Accounting.Client.Client.modelName</h4>
                                </div>
                                <div class="modal-body">
                                    @Contabilidad.Resources.Models.Accounting.Client.Client.CreateMessage
                                </div>
                                <div class="modal-footer">
                                    <input type="submit" id="submitbutton" value="@Contabilidad.Resources.CommonResources.SaveChanges" data-disableonclick="true" class="btn btn-primary waves-effect" />
                                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">@Contabilidad.Resources.CommonResources.Cancel</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
